// Serpiente con Clase
// (C) 2002 Con Clase http://www.conclase.net
// Salvador Pozo Coronado

// Declaracin de clase "CCoordenada":

#include <windows.h>
#include "ids.h"
#include "direccio.h"

#ifndef CL_COORDENADA
#define CL_COORDENADA

class CCoordenada {
  public:
   CCoordenada(): x(0), y(0) {}
   CCoordenada(int xa, int ya): x(xa), y(ya) {}
   CCoordenada(const CCoordenada &coor) : x(coor.x), y(coor.y) {}

   void Avanzar(eDireccion dir);
   CCoordenada &operator=(const CCoordenada &coor) 
      {x = coor.x; y = coor.y; return *this;}
   bool operator==(const CCoordenada &coor) 
      {return (x == coor.x && y == coor.y);}
   CCoordenada &operator++(int) {
      x++; 
      if(x >= ANCHO) {x = 0; y++;}
      return *this;
   }
   int X() {return x;}
   int Y() {return y;}

  private:
   int x, y;
};
#endif

