// Serpiente con Clase
// (C) 2002 Con Clase http://www.conclase.net
// Salvador Pozo Coronado

// Implementacin de la clase para CExtra:

#include <stdlib.h>
#include "extra.h"

inline int random(int num)
{ 
   return (int)(((long)rand()*num)/(long)(RAND_MAX+1)); 
}

// Clase para Extras:
void CExtra::Situar() 
{ 
   if(!cuenta) {
      estado = 0;
      activo = true; 
      posicion = Laberinto->ObtenerLibre();
      tipo = random(3);
      Laberinto->Modificar(posicion, COMIDA);
      Mostrar();
   }
   else cuenta--;
}

void CExtra::Siguiente()
{
   estado++; 
   if(estado < 64) Mostrar();
   else Anular();
}

void CExtra::Anular() 
{ 
   activo = false; 
   cuenta = 100+random(50); 
   estado = 64; 
   Mostrar(); 
}

