// Serpiente con Clase
// (C) 2002 Con Clase http://www.conclase.net
// Salvador Pozo Coronado

// Declaracin de clase "CExtra":

#include <windows.h>
#include "graficos.h"
#include "laberint.h"
#include "coordena.h"

#ifndef CL_EXTRA
#define CL_EXTRA

class CExtra {
  public:
   CExtra(CGraficos *graf, CLaberinto *lab) :
         Graficos(graf), Laberinto(lab) { Anular();}
    
   void Situar();
   CCoordenada Posicion() {return posicion;}
   void Mostrar(HDC dc=NULL) {Graficos->MostrarExtra(posicion, tipo, estado, dc);}
   void Siguiente();
   int Valor() { return estado>>2; }
   void Anular();
   bool Activo() { return activo; }
   
  private:
   CCoordenada posicion;
   int tipo;   // Diferentes tipos de extras
   int estado; // 0 a 63, 64 indica que ha caducado
   int cuenta; // Lo que falta para que aparezca el prximo
   bool activo; // Si est o no activo
   CGraficos *Graficos;
   CLaberinto *Laberinto;
};
#endif

