// Serpiente con Clase
// (C) 2002 Con Clase http://www.conclase.net
// Salvador Pozo Coronado

// Declaracin de clase "CLaberinto":

#include <windows.h>
#include <fstream>
#include "ids.h"
#include "coordena.h"
#include "graficos.h"

using namespace std;

#ifndef CL_LABERINTO
#define CL_LABERINTO

class CLaberinto {
  public:
   CLaberinto(CGraficos *);
   
   void Iniciar(int);
   void Mostrar(HDC dc=NULL);
   bool Colision(CCoordenada pos);
   void Modificar(CCoordenada pos, int valor);
   int Tablero(CCoordenada pos) {return tablero[pos.X()][pos.Y()];}
   CCoordenada ObtenerLibre();
   
  private:
   int tablero[ANCHO][ALTO];
   CCoordenada *laberinto;
   int nMuros;
   int actual;
   CGraficos *Graficos;
   int libres;
};
#endif

