// Serpiente con Clase
// (C) 2002 Con Clase http://www.conclase.net
// Salvador Pozo Coronado

// Declaracin de clase "CSerpiente":

#include <windows.h>
#include "seccion.h"
#include "graficos.h"
#include "laberint.h"
#include "direccio.h"
#include "coordena.h"
#include "comida.h"
#include "extra.h"
#include "tanteo.h"
#include "cola_pla.h"

#ifndef CL_SERPIENTE
#define CL_SERPIENTE

class CSerpiente {
  public:
   // Constructor:
   CSerpiente(CGraficos *, CLaberinto *, CComida *, CExtra *, CTanteo *);   

   void Iniciar(int);
   void Mostrar(HDC dc=NULL);
   void Deseada(eDireccion dir) {deseada = dir;}
   bool Avanzar();
   
  private:
   int CalcularCola(int anterior, int ultimo);

   cola<CSeccion> ColaSecciones;
   CDireccion direccion;
   CDireccion deseada;
   int porCrecer;
   CGraficos *Graficos;
   CLaberinto *Laberinto;
   CComida *Comida;
   CExtra *Extra;
   CTanteo *Tanteo;
};
#endif

