// Serpiente con Clase
// (C) 2002 Con Clase http://www.conclase.net
// Salvador Pozo Coronado

// Declaracin de clase "CTanteo":

#include <windows.h>
#include "graficos.h"
#include "coordena.h"

#ifndef CL_TANTEO
#define CL_TANTEO

class CTanteo {
  public:
   CTanteo(CGraficos *graf) : 
      Graficos(graf), puntos(0) {}

   void Iniciar() {puntos=0;}
   void Actualizar(int incremento) { puntos += incremento; Mostrar();}
   void Mostrar(HDC dc=NULL) {Graficos->Texto(CCoordenada(5,ALTO), puntos);}
   const int Puntos() {return puntos;}
   
  private:
   int puntos; 
   CGraficos *Graficos;
};
#endif

