// Serpiente con Clase
// (C) 2002 Con Clase http://www.conclase.net
// Salvador Pozo Coronado

// Declaracin de clase "CComida":

#include <windows.h>
#include "graficos.h"
#include "laberint.h"
#include "coordena.h"

#ifndef CL_COMIDA
#define CL_COMIDA

class CComida {
  public:
   CComida(CGraficos *graf, CLaberinto *lab) :
         Graficos(graf), Laberinto(lab) {}
    
   void Situar(const CCoordenada &pos) {
      posicion = pos; 
      Laberinto->Modificar(posicion, COMIDA);
   }
   CCoordenada Posicion() {return posicion;}
   void Mostrar(HDC dc=NULL) {Graficos->Mostrar(posicion, COMIDA, dc);}

  private:
   CCoordenada posicion;
   CGraficos *Graficos;
   CLaberinto *Laberinto;
};
#endif


