// Serpiente con Clase
// (C) 2002 Con Clase http://www.conclase.net
// Salvador Pozo Coronado

// Declaracin de clase "CDireccion":

#include <windows.h>

#ifndef CL_DIRECCION
#define CL_DIRECCION

enum eDireccion {arriba=1, derecha=2, abajo=4, izquierda=8};

// Clase para direcciones:
class CDireccion {
  public: 
   // Constructores:
   CDireccion(eDireccion dir) : valor(dir) {}
   CDireccion(const CDireccion &dir) : valor(dir.valor) {}
   
   // Operadores:
   CDireccion operator!();
   CDireccion &operator=(const CDireccion &dir) 
      {valor = dir.valor; return *this;}
   bool operator==(const CDireccion &dir)
      {return dir.valor == valor;}
   operator int() { return (int)valor;}
   
   eDireccion LeerValor() const {return valor;}
   
  private:
   eDireccion valor;
};
#endif
