#include <windows.h>
#include <iostream>
#include <stdlib.h>

#define IZQUIERDA 1
#define DERECHA 2
#define ARRIBA 3
#define ABAJO 4
#define NADA 0

using namespace std;

class cDireccion {
  public: 
   enum eDireccion {arriba=1, derecha=2, abajo=4, izquierda=8};
   cDireccion(eDireccion dir) : valor(dir) {}
   cDireccion Contrario();
   eDireccion LeerValor() const {return valor;}
   
  private:
   eDireccion valor;
};

cDireccion cDireccion::Contrario()
{
   if(valor < abajo) valor = (eDireccion)(valor << 2); 
   else valor = (eDireccion)(valor >> 2); 
   
   return valor;
}

ostream& operator<<(ostream &os, cDireccion dir)
{
   os << "Valor: " << dir.LeerValor();

   return os;
}

int leer_teclado();
HANDLE manip;

int main(int argc, char *argv[])
{
   cDireccion dir1(cDireccion::arriba), dir2(cDireccion::derecha);
   
   cout << dir1 << endl;
   dir1.Contrario();
   cout << dir1 << endl;
   cout << dir2 << endl;
   dir2.Contrario();
   cout << dir2 << endl;
   cout << dir2.Contrario() << endl;
   
   manip = GetStdHandle(STD_INPUT_HANDLE);
   int i;
   
   do {
      if(i = leer_teclado()) cout << i << endl;
   } while(true);
   system("PAUSE");	
   return 0;
}

int leer_teclado()
{
   int i;
   DWORD n;
   INPUT_RECORD ir;

   ReadConsoleInput(manip, &ir, 1, &n);
   if(n && ir.EventType == KEY_EVENT &&
      ir.Event.KeyEvent.bKeyDown)
      switch(ir.Event.KeyEvent.wVirtualKeyCode) {
         case VK_LEFT:  return IZQUIERDA;
         case VK_UP:    return ARRIBA;
         case VK_RIGHT: return DERECHA;
         case VK_DOWN:  return ABAJO;
      }
   return NADA;
}

   

